a13nDocs

创建 agent 修订版本

配置校验后与默认修订版本相同,则不创建新版本,返回该修订版本。

POST/api/v1/agents/{agent_id}/revisions

配置校验后与默认修订版本相同,则不创建新版本,返回该修订版本。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

agent_id*Agent Id

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/agents/string/revisions" \  -H "Content-Type: application/json" \  -d '{    "config": {      "model": "string"    }  }'
{  "agent_id": "string",  "builtin_instructions": "string",  "config": {    "background_compaction": {      "blocking_threshold": 0.95,      "enabled": false    },    "builtin_skills": [],    "client_tools": [],    "connection_tools": [],    "default_environment_template_id": "string",    "execution": {      "environment": {        "property1": "string",        "property2": "string"      },      "steering": "boundary",      "tools": {        "foreground_wait_seconds": 0,        "mode": "inline"      }    },    "instructions": "",    "lazy_environment": true,    "media_understanding": {      "audio": "string",      "image": "string",      "video": "string"    },    "memory": {      "enabled": false,      "spaces": []    },    "memory_mounts": [],    "model": "string",    "model_characteristics": {      "compact_threshold": 0.9,      "context_window_tokens": 1,      "proactive_context_management_threshold": 0.65    },    "model_settings": {      "property1": null,      "property2": null    },    "output_spec": {      "description": "string",      "name": "string",      "resources": {},      "schema": {        "property1": null,        "property2": null      },      "variants": [        {          "description": "string",          "name": "string",          "resources": {},          "schema": {            "property1": null,            "property2": null          }        },        {          "description": "string",          "name": "string",          "resources": {},          "schema": {            "property1": null,            "property2": null          }        }      ]    },    "plugins": [],    "retries": {      "output": 0,      "tools": 0    },    "reviewer": {      "instruction": "string",      "model": "string",      "model_settings": {        "property1": null,        "property2": null      },      "on_error": "deny",      "on_flagged": "deny",      "risk_threshold": "low",      "rules": {        "property1": {          "on_flagged": "deny",          "risk_threshold": "low"        },        "property2": {          "on_flagged": "deny",          "risk_threshold": "low"        }      },      "shell_instruction": "string",      "timeout_seconds": 120    },    "skill_sync": {      "cleanup": false,      "mode": "shared",      "overwrite": true    },    "skills": [],    "subagent_mode": "inline",    "subagents": {},    "summarize": false,    "tool_search": {      "config": {        "call_name": "call_tool",        "describe_name": "describe_tool",        "groups_name": "list_tool_groups",        "list_name": "list_tools",        "max_results": 10,        "max_search_bytes": 32768,        "mode": "proxy",        "search_name": "discover_tools"      },      "groups": {        "property1": {          "capabilities": [],          "connections": [],          "description": "string",          "platform": false,          "plugins": []        },        "property2": {          "capabilities": [],          "connections": [],          "description": "string",          "platform": false,          "plugins": []        }      }    },    "toolsets": {      "property1": {        "config": {          "property1": null,          "property2": null        },        "enabled": true,        "tools": {}      },      "property2": {        "config": {          "property1": null,          "property2": null        },        "enabled": true,        "tools": {}      }    },    "user_questions": false  },  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "digest": "string",  "id": "string",  "note": "string",  "number": 0}